@echo off
set A32WadDir=another32
set A32Engine=zdoom.exe
set MenuChoice=.

:mainMenu1
cls

echo -------------- Another 32 in 32 by Donnel "JAZZMASTER9" Enriquez --------------
echo ===============================================================================
echo  1. Arcane Sanctuary (arcane.wad)
echo  2. Arctic Storm (arcstorm.wad)
echo  3. Attack on Triad (atriad.wad)
echo  4. Beyond the Reckless (betreck.wad)
echo  5. Call of the Haunted (callotht.wad)
echo  6. Coming of the Storm (cmstorm.wad)
echo  7. Cradle of Death (cradeath.wad)
echo  8. Project Cyber Drama (cybrdrama.wad)
echo  9. Destiny Awaits (destiny.wad)
echo 10. Devil's Dance (devdanc.wad)
echo 11. Dyers Eve (dyerseve.wad)
echo 12. Erebus Complex (erbscplx.wad)
echo 13. Hell Patrol (helpatrl.wad)
echo 14. Jailed (jailed.wad)
echo 15. Medal of Honor (medhonor.wad)
echo 16. My Friend of Misery (mfmisery.wad)
echo 17. Jimmy's Padlocks (padlocks.wad)
echo ===============================================================================
echo Type a number and then press enter to play that level.
echo Type n for the next page, and p for previous. q will exit gracefully.
echo Type g for GZDoom, z for ZDoom.
echo ===============================================================================

set /p MenuChoice=?
goto parseChoice

:parseChoice
if %MenuChoice%==q goto Quit
if %MenuChoice%==1 goto Launch1
if %MenuChoice%==2 goto Launch2
if %MenuChoice%==3 goto Launch3
if %MenuChoice%==4 goto Launch4
if %MenuChoice%==5 goto Launch5
if %MenuChoice%==6 goto Launch6
if %MenuChoice%==7 goto Launch7
if %MenuChoice%==8 goto Launch8
if %MenuChoice%==9 goto Launch9
if %MenuChoice%==10 goto Launch10
if %MenuChoice%==11 goto Launch11
if %MenuChoice%==12 goto Launch12
if %MenuChoice%==13 goto Launch13
if %MenuChoice%==14 goto Launch14
if %MenuChoice%==15 goto Launch15
if %MenuChoice%==16 goto Launch16
if %MenuChoice%==17 goto Launch17
if %MenuChoice%==18 goto Launch18
if %MenuChoice%==19 goto Launch19
if %MenuChoice%==20 goto Launch20
if %MenuChoice%==21 goto Launch21
if %MenuChoice%==22 goto Launch22
if %MenuChoice%==23 goto Launch23
if %MenuChoice%==24 goto Launch24
if %MenuChoice%==25 goto Launch25
if %MenuChoice%==26 goto Launch26
if %MenuChoice%==27 goto Launch27
if %MenuChoice%==28 goto Launch28
if %MenuChoice%==29 goto Launch29
if %MenuChoice%==30 goto Launch30
if %MenuChoice%==31 goto Launch31
if %MenuChoice%==32 goto Launch32
if %MenuChoice%==n goto mainMenu2
if %MenuChoice%==p goto mainMenu1
if %MenuChoice%==g set A32Engine=gzdoom.exe
if %MenuChoice%==z set A32Engine=zdoom.exe

goto mainMenu1

:mainMenu2
cls

echo -------------- Another 32 in 32 by Donnel "JAZZMASTER9" Enriquez --------------
echo ===============================================================================
echo 18. Pin Heel Surfer (phsurf.wad)
echo 19. Psychotron (psyctron.wad)
echo 20. Pee to Play MMO (ptpm.wad)
echo 21. A Room with a View (room.wad)
echo 22. Return to Sender (rtnsendr.wad)
echo 23. Run 4 It (Runit.wad)
echo 24. The Great Suburban Showdown (showdown.wad)
echo 25. Something Something (somthing.wad)
echo 26. Steampunk (steampnk.wad)
echo 27. The Unnamed Feeling (thunfeel.wad)
echo 28. The Shortest Straw (tstraw.wad)
echo 29. Valentine Violence (vlentine.wad)
echo 30. War of the Abyss (warabys.wad)
echo 31. Romero's Window Washing (windwash.wad)
echo 32. Sweet Amber (amber.wad)
echo.
echo.
echo.
echo ===============================================================================
echo Type a number and then press enter to play that level.
echo Type n for the next page, and p for previous. q will exit gracefully.
echo Type g for GZDoom, z for ZDoom.
echo ===============================================================================

set /p MenuChoice=?
goto parseChoice

:Launch1
%A32Engine% -file %A32WadDir%\arcane.wad
goto parseForQuit

:Launch2
%A32Engine% -file %A32WadDir%\arcstorm.wad
goto parseForQuit

:Launch3
%A32Engine% -file %A32WadDir%\atriad.wad
goto parseForQuit

:Launch4
%A32Engine% -file %A32WadDir%\betreck.wad
goto parseForQuit

:Launch5
%A32Engine% -file %A32WadDir%\callotht.wad
goto parseForQuit

:Launch6
%A32Engine% -file %A32WadDir%\cmstorm.wad
goto parseForQuit

:Launch7
%A32Engine% -file %A32WadDir%\cradeath.wad
goto parseForQuit

:Launch8
%A32Engine% -file %A32WadDir%\cybdrama.wad
goto parseForQuit

:Launch9
%A32Engine% -file %A32WadDir%\destiny.wad
goto parseForQuit

:Launch10
%A32Engine% -file %A32WadDir%\devdanc.wad
goto parseForQuit

:Launch11
%A32Engine% -file %A32WadDir%\dyerseve.wad
goto parseForQuit

:Launch12
%A32Engine% -file %A32WadDir%\erbscplx.wad
goto parseForQuit

:Launch13
%A32Engine% -file %A32WadDir%\helpatrl.wad
goto parseForQuit

:Launch14
%A32Engine% -file %A32WadDir%\jailed.wad
goto parseForQuit

:Launch15
%A32Engine% -file %A32WadDir%\medhonor.wad
goto parseForQuit

:Launch16
%A32Engine% -file %A32WadDir%\mfmisery.wad
goto parseForQuit

:Launch17
%A32Engine% -file %A32WadDir%\padlocks.wad
goto parseForQuit

:Launch18
%A32Engine% -file %A32WadDir%\phsurf.wad
goto parseForQuit

:Launch19
%A32Engine% -file %A32WadDir%\psyctron.wad
goto parseForQuit

:Launch20
%A32Engine% -file %A32WadDir%\ptpm.wad
goto parseForQuit

:Launch21
%A32Engine% -file %A32WadDir%\room.wad
goto parseForQuit

:Launch22
%A32Engine% -file %A32WadDir%\rtnsendr.wad
goto parseForQuit

:Launch23
%A32Engine% -file %A32WadDir%\runit.wad
goto parseForQuit

:Launch24
%A32Engine% -file %A32WadDir%\showdown.wad
goto parseForQuit

:Launch25
%A32Engine% -file %A32WadDir%\somthing.wad
goto parseForQuit

:Launch26
%A32Engine% -file %A32WadDir%\steampnk.wad
goto parseForQuit

:Launch27
%A32Engine% -file %A32WadDir%\thunfeel.wad
goto parseForQuit

:Launch28
%A32Engine% -file %A32WadDir%\tstraw.wad
goto parseForQuit

:Launch29
%A32Engine% -file %A32WadDir%\vlentine.wad
goto parseForQuit

:Launch30
%A32Engine% -file %A32WadDir%\warabys.wad
goto parseForQuit

:Launch31
%A32Engine% -file %A32WadDir%\windwash.wad
goto parseForQuit

:Launch32
%A32Engine% -file %A32WadDir%\amber.wad
goto parseForQuit

:parseForQuit
cls

set /p MenuChoice=Want to play another map, Y/N?
if %MenuChoice%==y goto mainMenu1
if %MenuChoice%==yes goto mainMenu1

:Quit
exit